Skip to content

Test the emailer with a sample email

POST
/sender/test/email
curl --request POST \
--url https://api.pingram.io/sender/test/email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "notificationId": "example", "to": "example", "subject": "example", "html": "example", "fromAddress": "example", "fromName": "example", "previewText": "example" }'
Media type application/json
object
notificationId
required
string
to
required
string
subject
required
string
html
required
string
fromAddress
required
string
fromName
required
string
previewText
string
Example generated
{
"notificationId": "example",
"to": "example",
"subject": "example",
"html": "example",
"fromAddress": "example",
"fromName": "example",
"previewText": "example"
}

Successful response

Media type application/json
object
trackingId
required
string
messages
Array<string>
Example generated
{
"trackingId": "example",
"messages": [
"example"
]
}

Bad Request - validation errors, invalid input

Media type application/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Example generated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

Unauthorized

Payment Required - usage limits exceeded

Media type application/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Example generated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

Internal Server Error

Bad Gateway - provider error

Media type application/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Example generated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}